EDIT - bug #8650

PermissionDenied Exception for Teams when editing distributions
11/05/2019 03:14 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

mail of JP:

Hallo Katja, heute bekomme ich standig diese Fehlermeldung, woran kdnnte das liegen? Liebe GriiBe Jonathan

login : j.pahl

editor version : 5.10.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / euromed

schema version : 5.8.2.0.20190815

os : Windows 7 6.1 amd64

java: 1.8.0_191

org.eclipse.e4.core.di.InjectionException: org.springframework.orm.hibernate5.HibernateSystemException: [UPDATE] not permitted
for 'j.pahl' on Team[uuid:da18ea3b-7a9a-4d9c-906d-973c0051¢c820', toString:'Marhold, K. & Hindak, F.']; nested exception is
eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted for 'j.pahl' on
Team[uuid:da18ea3b-7a9a-4d9c-906d-973c0051¢820", toString:'Marhold, K. & Hindak, F."]

at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:65)

at org.eclipse.e4.core.internal.di.Injectorlmpl.invokeUsingClass(Injectorimpl.java:282)

at org.eclipse.e4.core.internal.di.Injectorimpl.invoke(Injectorimpl.java:247)

at org.eclipse.e4.core.contexts.ContextlnjectionFactory.invoke(ContextInjectionFactory.java:90)

at org.eclipse.e4.ui.internal.workbench.PartServiceSaveHandler.save(PartServiceSaveHandler.java:57)

at org.eclipse.ui.internal. WorkbenchWindow$7.save(WorkbenchWindow.java:594)

at org.eclipse.e4.ui.internal.workbench.PartServicelmpl.savePart(PartServicelmpl.java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute(SaveHandler.java:38)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:55)

at org.eclipse.e4.core.internal.di.Injectorimpl.invokeUsingClass(Injectorimpl.java:282)

at org.eclipse.e4.core.internal.di.Injectorimpl.invoke(Injectorimpl.java:264)

at org.eclipse.e4.core.contexts.ContextlnjectionFactory.invoke(ContextInjectionFactory.java:132)

at org.eclipse.e4.core.commands.internal.HandlerServiceHandler.execute(HandlerServiceHandler.java:152)

at org.eclipse.core.commands.Command.executeWithChecks(Command.java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks(ParameterizedCommand.java:488)

at org.eclipse.e4.core.commands.internal.HandlerServicelmpl.executeHandler(HandlerServicelmpl.java:210)

at org.eclipse.e4.ui.workbench.renderers.swt.HandledContributionltem.executeltem(HandledContributionltem.java:433)
at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionltem.handleWidgetSelection(AbstractContributionltem.java:454)
at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionltem$3.handleEvent(AbstractContributionltem.java:482)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)

at org.eclipse.ui.internal. Workbench$5.run(Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.ui.internal. Workbench.createAndRunWorkbench(Workbench.java:610)

at org.eclipse.ui.PlatformUl.createAndRunWorkbench(PlatformUl.java: 148)

at eu.etaxonomy.taxeditor.Application.start(Application.java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Caused by: org.springframework.orm.hibernate5.HibernateSystemException: [UPDATE] not permitted for 'j.pahl' on
Team[uuid:da18ea3b-7a9a-4d9c-906d-973c0051¢820', toString:'Marhold, K. & Hindak, F.']; nested exception is
eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted for 'j.pahl' on
Team[uuid:da18ea3b-7a9a-4d9¢c-906d-973c0051¢820", toString:'Marhold, K. & Hindak, F."]

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernate AccessException(SessionFactoryUtils.java:219)

at
org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessException(Hibernate TransactionManag
er.java:741)

at org.springframework.orm.hibernate5.Hibernate TransactionManager.doCommit(Hibernate TransactionManager.java:589)

at
org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager
java:761)

at
org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:73
0)

at

org.springframework.transaction.interceptor. TransactionAspectSupport.commitTransactionAfterReturning(TransactionAspectSupport
.java:485)

at

org.springframework.transaction.interceptor. TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:291
)
at org.springframework.transaction.interceptor. TransactionlInterceptor.invoke(TransactionInterceptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy13953.merge(Unknown Source)

at sun.reflect. GeneratedMethodAccessor227824.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:157)

at org.springframework.remoting.support.RemotelnvocationTracelnterceptor.invoke(RemotelnvocationTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy14158.merge(Unknown Source)

at sun.reflect. GeneratedMethodAccessor481775.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.springframework.remoting.support.Remotelnvocation.invoke(Remotelnvocation.java:212)

at org.springframework.remoting.support.DefaultRemotelnvocationExecutor.invoke(DefaultRemotelnvocationExecutor.java:39)

at org.springframework.remoting.support.RemotelnvocationBasedExporter.invoke(RemotelnvocationBasedExporter.java:78)

at
org.springframework.remoting.support.RemotelnvocationBasedExporter.invokeAndCreateResult(RemotelnvocationBasedExporter.ja
va:114)

at org.springframework.remoting.httpinvoker.HttplnvokerServiceExporter.handleRequest(HttpInvokerServiceExporter.java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle(HttpRequestHandlerAdapter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:871)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:808)

at org.eclipse.jetty.servlet.ServlietHandler$CachedChain.doFilter(ServietHandler.java: 1669)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:126)
at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:90)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at
org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareReques
tFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:48)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.authentication.

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:91)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at
org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerinte
grationFilter.java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:213)

at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:262)

at org.eclipse.jetty.servlet.ServlietHandler$CachedChain.doFilter(ServietHandler.java:1652)

at org.springframework.web filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServietHandler$CachedChain.doFilter(ServietHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)

at org.eclipse.jetty.server.Server.handle(Server.java:497)

at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555)

at java.lang.Thread.run(Thread.java:748)

at org.springframework.remoting.support.RemotelnvocationUtils.fillinClientStack TracelfPossible(RemotelnvocationUtils.java:45)
at org.springframework.remoting.support.RemotelnvocationResult.recreate(RemotelnvocationResult.java: 149)

at
org.springframework.remoting.support.RemotelnvocationBasedAccessor.recreateRemotelnvocationResult(RemotelnvocationBased
Accessor.java:85)

at org.springframework.remoting.httpinvoker.HttplnvokerClientinterceptor.invoke(HttplnvokerClientinterceptor.java: 150)
at org.springframework.aop.framework.ReflectiveMethodlInvocation.proceed(ReflectiveMethodlnvocation.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy51.merge(Unknown Source)

at eu.etaxonomy.taxeditor.editor.e4.TaxonEditorInputE4.merge(TaxonEditorinputE4.java:428)

at eu.etaxonomy.taxeditor.editor.name.e4.TaxonNameEditorE4.save(TaxonNameEditorE4.java:409)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)
at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:55)

... 48 more

Caused by: eu.etaxonomy.cdm.database.PermissionDeniedException: [UPDATE] not permitted for ‘j.pahl' on
Team[uuid:da18ea3b-7a9a-4d9¢c-906d-973c0051¢c820', toString:'Marhold, K. & Hindak, F.']

at
eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernateInterceptor.checkPermissions(CdmSecurityHibernateInterceptor.jav
a:207)

at
eu.etaxonomy.cdm.persistence.hibernate.CdmSecurityHibernatelnterceptor.onFlushDirty(CdmSecurityHibernatelnterceptor.java:129)
at org.hibernate.event.internal.DefaultFlushEntityEventListener.invokelnterceptor(DefaultFlushEntityEventListener.java:348)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.handleInterception(DefaultFlushEntityEventListener.java:325)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.scheduleUpdate(DefaultFlushEntityEventListener.java:276)

at org.hibernate.event.internal.DefaultFlushEntityEventListener.onFlushEntity(DefaultFlushEntityEventListener.java:143)

at org.hibernate.event.internal. AbstractFlushingEventListener.flushEntities(AbstractFlushingEventListener.java:216)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions(AbstractFlushingEventListener.java:85)
at org.hibernate.event.internal.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:38)

at org.hibernate.internal.SessionImpl.flush(Sessionlmpl.java:1282)

at org.hibernate.internal.Sessionimpl.managedFlush(Sessionimpl.java:465)

at org.hibernate.internal.Sessionimpl.flushBefore TransactionCompletion(Sessionimpl.java:2963)

at org.hibernate.internal.Sessionimpl.before TransactionCompletion(Sessionimpl.java:2339)

at org.hibernate.engine.jdbc.internal.JdbcCoordinatorimpl.before TransactionCompletion(JdbcCoordinatorimpl.java:485)

at
org.hibernate.resource.transaction.backend.jdbc.internal.JdbcResourceLocalTransactionCoordinatorimpl.beforeCompletionCallback(
JdbcResourcelLocalTransactionCoordinatorimpl.java:147)

at
org.hibernate.resource.transaction.backend.jdbc.internal.JdocResourcelLocalTransactionCoordinatorimpl.access$100(JdbcResource
LocalTransactionCoordinatorimpl.java:38)

at
org.hibernate.resource.transaction.backend.jdbc.internal.JdbcResourcelLocalTransactionCoordinatorimpl$ TransactionDriverControll
mpl.commit(JdbcResourcelLocalTransactionCoordinatorimpl.java:231)

at org.hibernate.engine.transaction.internal. Transactionlmpl.commit(Transactionlmpl.java:65)

at org.springframework.orm.hibernate5.Hibernate TransactionManager.doCommit(Hibernate TransactionManager.java:581)

.. 149 m

Related issues:
Copied to EDIT - bug #8669: Permission problems when caches are updated witho... New

History

#1 - 11/06/2019 09:18 AM - Katja Luther

- Status changed from New to Closed

this seems to be a problem of updated caches because of the IPNI import. After running the cache updater the problem does not appear any more

#2 - 11/08/2019 10:08 PM - Andreas Miuller

- Target version deleted (Release 5.11)

| remove from milestone as this is a pure data related fix.

We need a new ticket for handling the cache update problem in general.

#3 - 11/08/2019 10:13 PM - Andreas Miiller

- Copied to bug #8669: Permission problems when caches are updated without permission added
